#include "esh_types.h"

#ifndef ESH_MAIN_LOOP_H
#define ESH_MAIN_LOOP_H

void EShRunLoop();

void EShShowMsg();

EShJob* EShParseCommandIntoJobs(char* command, int* jobs_num);

void EShSplitJobCommand(EShJob* job, char delim);  // splits command into tokens (command arguments)

void EShExecuteJobs(int jobs_num, EShJob* jobs_list);

void EShSetJobCommandType(EShJob* job);

void EShRunJob(EShJob* job);

int EmptyCommand(const char* command);

int InnerCommand(const char* command);

void EShProcessInnerJob(const char* command);

void EShProcessExecJob(const char* command);

void EShPrintJobsDebugInfo(const char* command, EShJob* jobs, int jobs_num);

#endif // ESH_MAIN_LOOP_H